#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

int main() {
#ifdef DEBUG_Q
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    ll n, m, g;
    cin >> n >> m >> g;
    cout << m - n + 1 << '\n' << 1;
}